Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.18.3 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 24100
Description

Hello,

| think there is a problem with the MSSQL connector because | have different result if | connect with "Add a MSSQL spatial layer" or with
"Add vector layer"/Database/MSSQL !

With a localhost Database, | agree everything works fine. But in this example, | don't use a local database, it is located on a virtual network
through VPN (database is on a server, and | connect to this server through a VPN).

- if I connect with "Add vector layer"/Database/MSSQL (host=192.168.0.100\SQLEXPRESS), | can connect to spatial vectors, it's OK

- if 1 use the same connection with "Add a MSSQL spatial layer" or with QGIS Browser, | have this error message "[Microsoft][ODBC SQL
Server Driver][SQL Server]Echec de l'ouverture de session de ['utilisateur 'XXXXX\\XXXXX". [Microsoft][Gestionnaire de pilotes ODBC]
Echec SQLSetConnectAttr du pilote QODBC3: Unable to connect"

The thing is | need to have access not only to spatial layers, but to the whole database. And without the data connection, | can't.

Thanks for the answer.

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No
#2 - 2018-10-02 10:40 PM - Nyall Dawson

- Status changed from Open to Feedback
- Description updated

Is this still an issue with 3.2? | suspect it's just down to the difficult "magic" connection settings required for sqgl server connections.

#3 - 2019-02-23 08:36 PM - Jiirgen Fischer
- Resolution set to no timely feedback
- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version. Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
#4 - 2019-03-05 06:00 PM - Filip Mahieu

In 3.4.1 this exists when connecting to sql server 2016. But only when not in trusted connection; then | cannot access any table/view, even spatial in the
database.
